#ifndef _FILECAVETV
#define _FILECAVETV

/*
 *
 * This is part of the ANL/MCS/FL CAVEav distribution.
 * written by Ivan R. Judson
 *
 */

#include <GL/gl.h>
#include <GL/glu.h>
#include <stdio.h>
#include <stdlib.h>

#include "CAVtv.h"

/** This is the derived class fileCAVEtv, which takes frames from a 
  sequence of rgb format files, and places them on a video pane on a 
  tv object in a CAVE scene.
  */

class fileCAVtv : public CAVtv {

public:
  /**@name Methods */
  //@{
    
  /// The constructor takes seven arguments, the x, y, z position of the TV the file basename to open foreach frame, and the width, height and depth of the frames.
	  
  fileCAVtv(char *fn = "CCFrame", 
	    int width = 640, int height = 480, int depth = 3,
	     float x = 0.0, float y = 0.0, float z = 0.0);

  /// The destructor must cleanup the imagepool

  ~fileCAVtv(void);

  /// The init function

  void Init(void);

  /// This function reads the frame in

  void GetPix(void);

  //@}
  
protected:
  /**@name Data */
  //@{
  
  /// Basename of files to read in

  char *_fnbase;

  //@}
};

#endif
